program fjf165b;

(*$w-,borland-pascal*)

const n=6;

type t=array[1..n] of char;

var
  i:1..n;
  c:t=('a','B','ä','Ö','ß','-');
  u:t=('A','B','ä','Ö','ß','-');
  l:t=('a','b','ä','Ö','ß','-');

begin
  for i:=1 to n do
    if (UpCase(c[i])<>u[i]) or (LoCase(c[i])<>l[i]) then
      begin
        Writeln ('Failed: ', UpCase(c[i]), u[i], LoCase(c[i]), l[i]);
        Halt (1)
      end;
  Writeln ('OK')
end.
